<?php
/**
 * The template part for displaying single posts
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */
?>
<div class="row">
    <div class="col-sm-12">
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php blazeblog_post_thumbnail(); ?>

            <header class="entry-header col-sm-12">
                <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                <?php if(empty(get_the_title())) :?>
                <div class="empty-entry-title"></div>
                <?php endif; ?>
            </header>
            
            <div class="entry-content col-sm-8">
                <?php
                the_content();

                blazeblog_link_pages();
                ?>
            </div>

            <footer class="entry-footer col-sm-4">
                <?php blazeblog_entry_meta(); ?>
                <?php
                edit_post_link(
                    sprintf(
                        /* translators: %s: Name of current post */
                        __( 'Edit<span class="screen-reader-text"> "%s"</span>', 'blazeblog' ),
                        get_the_title()
                    ),
                    '<span class="edit-link">',
                    '</span>'
                );
                ?>
            </footer>
        </article>
    </div>
</div>
<div class="clearfix"></div>
<?php 
if ( '' !== get_the_author_meta( 'description' ) ) {
    get_template_part( 'template-parts/biography' );
}
?>
